//
//  File.swift
//  
//
//  Created by Kim de Vos on 10/12/2020.
//

import Foundation
import XCTest
@testable import AppleExtensions

class UIViewExtensionTests: XCTestCase {

    func testAddSubviewWithEdgeInsets() {
        let view = UIView()
        let view2 = UIView()
        let superview = UIView(frame: CGRect(x: 0, y: 0, width: 200, height: 200))

        superview.addSubview(view, withEdgeInsets: .zero)
        superview.addSubview(view2, withEdgeInsets: UIEdgeInsets(top: 50, left: 50, bottom: 50, right: 50))
        superview.layoutIfNeeded()
        XCTAssert(superview.bounds.equalTo(view.frame))
        XCTAssert(superview.bounds.insetBy(dx: 50, dy: 50).equalTo(view2.frame))
    }
}
