// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Data",
    platforms: [
        .iOS(.v10)
    ],
    products: [
        .library(
            name: "ChecklistData",
            targets: ["ChecklistData"]),
        .library(
            name: "CMSData",
            targets: ["CMSData"]),
        .library(
            name: "ConfigurationData",
            targets: ["ConfigurationData"]),
        .library(
            name: "ErrorData",
            targets: ["ErrorData"]),
        .library(
            name: "LexiconData",
            targets: ["LexiconData"]),
        .library(
            name: "MaternityData",
            targets: ["MaternityData"]),
    ],
    dependencies: [ ],
    targets: [
        .target(
            name: "ChecklistData",
            dependencies: [],
            path: "Sources/Checklist"
        ),
        .target(
            name: "CMSData",
            dependencies: [],
            path: "Sources/CMS"
        ),
        .target(
            name: "ConfigurationData",
            dependencies: [],
            path: "Sources/Configuration"
        ),
        .target(
            name: "ErrorData",
            dependencies: [],
            path: "Sources/Errors"
        ),
        .target(
            name: "LexiconData",
            dependencies: [],
            path: "Sources/Lexicon"
        ),
        .target(
            name: "MaternityData",
            dependencies: [],
            path: "Sources/Maternity"
        ),

        // MARK: - Tests
        .testTarget(
            name: "ChecklistTests",
            dependencies: ["ChecklistData"]
        ),
        .testTarget(
            name: "ConfigurationTests",
            dependencies: ["ConfigurationData"]
        ),
        .testTarget(
            name: "ErrorTests",
            dependencies: ["ErrorData"]
        ),
        .testTarget(
            name: "LexiconTests",
            dependencies: ["LexiconData"]
        ),
        .testTarget(
            name: "MaternityTests",
            dependencies: ["MaternityData"]
        ),
    ]
)
