// The MIT License
//
// Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
// of the Software, and to permit persons to whom the Software is furnished to do
// so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import Foundation

extension String {
    enum LoremIpsum {
        case small
        case large
        /// 🎺
        case huuuuge
    }
    static func loremIpsum(_ style: LoremIpsum) -> String {
        switch style {
        case .small:
            return "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum ac nibh non quam porta molestie vitae ac ligula. Nullam vitae mattis turpis."
        case .large:
            //swiftlint:disable:next line_length
            return "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum ac nibh non quam porta molestie vitae ac ligula. Nullam vitae mattis turpis. Curabitur egestas sem lacus, nec rutrum metus accumsan in. Quisque ex nisi, scelerisque finibus velit eu, porta luctus neque. Nulla magna diam, sollicitudin vulputate faucibus quis, tincidunt vitae augue. Curabitur placerat, lectus sed posuere tincidunt, diam turpis rutrum neque, tempor tristique urna nibh et sem. Nulla suscipit massa velit, vel tempor nisl consequat vitae. Integer euismod finibus metus eu dignissim. Nam aliquam neque consectetur tempus cursus. Proin ut gravida augue. Phasellus sodales lorem libero, quis sagittis lectus maximus at. Duis ac ante sapien. Quisque vulputate quis magna sit amet aliquet. Donec accumsan elit mi, et dictum orci scelerisque id. Donec placerat lectus sodales dolor sollicitudin, eget rhoncus nulla condimentum. Praesent quis rhoncus ipsum."
        case .huuuuge:
            //swiftlint:disable:next line_length
            return "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus a massa vel sapien interdum feugiat nec ut eros. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam finibus augue in metus commodo interdum. Ut vitae fermentum dui, ac tempus orci. Integer ut leo erat. Suspendisse ornare, leo id luctus tempus, nisl erat sollicitudin tortor, sed ultricies sem nulla non ligula. Duis ut rutrum justo, congue semper turpis. Nam ac pharetra mi. Nullam aliquam ut metus nec ultrices.\n\n\nDonec posuere justo in libero egestas, nec tincidunt diam ornare. Nullam imperdiet fringilla quam, sed dapibus urna fermentum et. Mauris dictum aliquam urna at cursus. Cras venenatis, urna eu porta mollis, velit lorem sagittis lorem, quis porta lectus sapien in ligula. Vivamus et erat nisl. Suspendisse ultricies dolor in velit ultricies, vitae fringilla nisi porttitor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam non ligula lectus."
        }
    }
}
